<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Your Notes!</title>
  </head>
  <body>
    <ul>
      <li><a href="/lab-4">Table!&nbsp;&nbsp;</a></li>
      <li><a href="note-list">Card!&nbsp;&nbsp;</a></li>
      <li><a href="add-note">Add a Note!</a></li>
    </ul>
      <div class="container">
        <div class="card__container">
          {% if notes %}
            {% for note in notes %}
              <div class="card">
              <div class="card__content">
              <h2 class="card__title"> {{ note.title }}</h2>
              <h3 class="card__header">{{ note.message }}</h3>
              <p class="card__sender">From: {{ note.sender }}</p>
              <p class="card__receiver">To: {{ note.receiver }}</p>
                </div>
              </div>
            {% endfor %}
          {% endif %}
        </div>
      </div>
  </body>
  <style>
    body {
      background: #191a19;
    }
    a {
      font-family: "Trebuchet MS";
      color: hotpink;
      font-size: 20;
      list-style-type: none;
      margin: 0;
      padding: 0;
      text-decoration: none;
    }
    li {
      display: inline;
      text-decoration: none;
    }   

@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,300;0,400;0,500;0,700;1,400&display=swap");
*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Roboto", sans-serif;
}
.container {
  position:absolute;
  width:100%;
  height:100vh;
  background: #2c302d;
}
.card {
  width: 60%;
  height: 80%;
  max-height: 300px;
  padding: auto;
  text-align: center;
  background: #242625;
  border-radius: 10px;
  box-shadow: 25px 25px 50px #1b1c1b, -25px -25px 50px #2d302f;
}
.card__container {
    display: grid;
    width: 100%;
    height: 100%;
    grid-template-columns: 1fr 1fr 1fr;
    align-items: center;
    justify-items: center;
    color: white;
}
.card__content {
    width: 90%;
    height: 95%;
    background: #191a19;
    margin: 10px auto;
    border-radius: 5px;
    padding: 20px;
    cursor: pointer;
    box-shadow:  16px 16px 44px #0a0a0a, -16px -16px 44px #282a28;
    transition: 0.3s all ease-in-out;
}
.card__content:hover{
  margin-top:-10px;
}
.card__header {
    font-size: 20px;
    margin: 40px auto;
  }
.card__button {
    padding: 10px;
    border-radius: 50px;
    background: #1f75c4;
    color: white;
    font-weight: bold;
    cursor: pointer;
    border: none;
    margin: 50px auto;
}
.card__sender {
  /* position: absolute;
  bottom: 1;
  text-align: center; */
}
.card__receiver {
  /* position: absolute;
  bottom: 0;
  text-align: center; */
}
  </style>
</html>
